#pragma once
#pragma unmanaged
#include "BulletCollision/CollisionShapes/btCapsuleShape.h"
#pragma managed
#include "ICollisionShape.h"

using namespace System;

namespace BulletCLI 
{
    public ref class CapsuleShape : public ICollisionShape
	{
	private:
		btCapsuleShape* m_p;
	internal:
        virtual btCollisionShape* GetPtr() override {return m_p;}
    public:
		CapsuleShape(float radius, float height);
        virtual ~CapsuleShape();
		!CapsuleShape();
	};
}